How to config Stripe Payment in Palm?

I’ve had that issue before, [Errno 111] Connection refused could be something related to host and port.
What action did you do resulting in that error?
Could you load the payment page when clicking Upgrade button?

It is my 1st setup, no specific action, the default port was changed, now reverted that port back.
also did this restart as advised by @FarazM:

tutor local stop ecommerce && tutor local start -d

Now different error:

ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/social_core/backends/oauth.py", line 99, in validate_state
ecommerce-1  |     raise AuthMissingParameter(self, "state")
ecommerce-1  | social_core.exceptions.AuthMissingParameter: Missing needed parameter state
ecommerce-1  | 2024-07-12 04:21:36,807 ERROR 7 [django.request] /openedx/venv/lib/python3.12/site-packages/django/utils/log.py:224 - Internal Server Error: /complete/edx-oauth2/
ecommerce-1  | Traceback (most recent call last):
ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/django/core/handlers/exception.py", line 47, in inner
ecommerce-1  |     response = get_response(request)
ecommerce-1  |                ^^^^^^^^^^^^^^^^^^^^^

and later this:

ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/urllib3/util/connection.py", line 85, in create_connection
ecommerce-1  |     sock.connect(sa)
ecommerce-1  | ConnectionRefusedError: [Errno 111] Connection refused
ecommerce-1  |
ecommerce-1  | During handling of the above exception, another exception occurred:
ecommerce-1  |
ecommerce-1  | Traceback (most recent call last):
ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/urllib3/connectionpool.py", line 715, in urlopen
ecommerce-1  |     httplib_response = self._make_request(
ecommerce-1  |                        ^^^^^^^^^^^^^^^^^^^
ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/urllib3/connectionpool.py", line 404, in _make_request
ecommerce-1  |     self._validate_conn(conn)
ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/urllib3/connectionpool.py", line 1058, in _validate_conn
ecommerce-1  |     conn.connect()
ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/urllib3/connection.py", line 363, in connect
ecommerce-1  |     self.sock = conn = self._new_conn()
ecommerce-1  |                        ^^^^^^^^^^^^^^^^
ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/urllib3/connection.py", line 186, in _new_conn
ecommerce-1  |     raise NewConnectionError(
ecommerce-1  | urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x743f3c4b1f70>: Failed to establish a new connection: [Errno 111] Connection refused
ecommerce-1  |
ecommerce-1  | During handling of the above exception, another exception occurred:
ecommerce-1  |
ecommerce-1  | Traceback (most recent call last):
ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/requests/adapters.py", line 486, in send
ecommerce-1  |     resp = conn.urlopen(
ecommerce-1  |            ^^^^^^^^^^^^^
ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/urllib3/connectionpool.py", line 799, in urlopen
ecommerce-1  |     retries = retries.increment(
ecommerce-1  |               ^^^^^^^^^^^^^^^^^^
ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/urllib3/util/retry.py", line 592, in increment
ecommerce-1  |     raise MaxRetryError(_pool, url, error or ResponseError(cause))
ecommerce-1  | urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='my.host.name', port=443): Max retries exceeded with url: /oauth2/access_token (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x743f3c4b1f70>: Failed to establish a new connection: [Errno 111] Connection refused'))
ecommerce-1  |
ecommerce-1  | During handling of the above exception, another exception occurred:
ecommerce-1  |
ecommerce-1  | Traceback (most recent call last):
ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/social_core/backends/base.py", line 243, in request
ecommerce-1  |     response = request(method, url, *args, **kwargs)
ecommerce-1  |                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
ecommerce-1  |   File "/openedx/venv/lib/python3.12/site-packages/requests/api.py", line 59, in request
ecommerce-1  |     return session.request(method=method, url=url, **kwargs)

The “Upgrade” button is grayed-out on the course

I have tried this but they just deny the existence of stripe custom actions

Hi there, Thank you for the prompt response. I appreciate you sending the API error file. Jumping right in, Stripe customer actions is not a setting that can be enabled in the Stripe account. Since this is an integration issue with OpenEDX commerce app, I recommend you reach out with them. They should be able to help.

1 Like

It is mentioned in this doc, unfortunately the link to Stripe Custom Action is dead. Somehow my Stripe support understood and helped me through it.

@pshiu Could you explain more about the line to “Ask your Stripe representative to enable this feature on your account”, we’re struggling to explain this to Stripe support.

Try to send them these links to see if they can understand.

https://edx-ecommerce.readthedocs.io/en/latest/additional_features/payment_processors.html#stripe

Looks like I’ve figured it out, here is what I’ve found:
If you see the screen below (NotFond) when you try to navigate to the Ecommerce site then be aware that this, believe it or not, is correct.
-thanks to this blog: Open edX Ecommerce - Blog

I’ve re-created superuser by “tutor local run ecommerce ./manage.py createsuperuser”
(as noted here: Overhang.IO | Tutor Plugins - ecommerce) and was able to login at https://ecommerce.my.host.url/admin/ I believe that means that my setup is fine.

unfortunately I was too fast to celebrate - looks like the ecommerce connection to lms is not fully functional - when I try to add course at ecommerce - getting “failed to publish error”:
image and log has those [Errno 111] Connection refused